html, body {
    padding:0px;
    margin:0px;
    overflow-x: hidden;
}
#main .command {
    position:absolute;
    bottom:0px;
    padding:5px;
    background-color:#ceddef;
    border-top:1px solid silver;
    display:flex;
    justify-content:space-between;
    height:50px;
    width:100%;
}
#main .command>.right {
    margin-left:100px;
}
#main>.content {
    position: relative;
    max-height: calc(100vh - 50px);
    overflow: auto;
    overflow-x: hidden;
    height:100%;
}
#main>.content>div {
    padding:10px;
}
form {
    padding:0px;
    margin:0px;
}

.float-end {
    float:right;
}

main#main {
    height: 100vh;
    padding:0px !important;
    position:relative;
}

main#main.hasCommand {
    padding-bottom:50px !important;
}

.cursor-pointer {
    cursor: pointer;
}

.osy-hide {
    display:none;
}

.osy-field {
    margin-bottom:1.2em;
}
.osy-no-field {
    /*margin-top:-1.4em;*/
}

.osy-first-field {
    margin-top: 0px;
}

.swal2-modal .swal2-html-container {
    max-height: calc(96vh - 220px);
    overflow: auto;
}
.swal2-modal pre {
    overflow: initial;
}
.swal2-container .swal2-icon {
    font-size:5px;
    float:left;
    display:block;
}
.swal2-container .swal2-title {
    font-size:22px;
}

.swal2-container pre {
    text-align:left;
}

.modal-wrap {
    position:fixed;
    height:100vh;
    top:0px;
    left:0px;
    width:100vw;
    background-color: rgb(10,10,10,0.5);
    z-index: 1000;
    overflow: auto;
}
.modal-wrap>div {
    display:flex;
    align-items: center;
    justify-content: center;
    position:relative;    
}

.modal-wrap .modal-body {
    padding:0px 20px 20px 20px;
}
.modal-wrap .modal-title {
        padding:3px 10px;
    text-transform: capitalize;
    font-weight: bold;
    background-color: #ceddef;
    border-bottom:1px solid silver;
}
.modal-wrap .modal-main {
    margin: 20px 0px 20px 0px;
    background-color: white;
    border:1px solid silver;
    max-width: 90vw;
}

.modal-wrap .modal-command {
    display:flex;
    justify-content: space-evenly;
    padding:3px;
    background-color:#ceddef;
    border-top:1px solid silver;
}
.modal-wrap .modal-command .osy-field {
    margin:0px;
}

.modal-wrap .modal-command .user-command div {
    display:inline;
}

.modal-wrap .btn.mclose {
    display:inline;
}
.modal-wrap .btn.mback {
    display:none;
}
.modal-wrap.no-close .btn.mclose {
    display:none;
}
.modal-wrap.yes-back .btn.mback {
    display:inline;
}

.box-content {
    position:absolute;
    background-color: aliceblue;
    border:1px solid skyblue;
    border-radius: 3px;
    z-index: 100;
}

.error .osy-header{
    color:red;
}

.error input {
    /*border-color:red !important;*/
    background-color: antiquewhite;
}

.grid table td {
    background-color:white;
    padding:5px 10px;
    border-top:1px solid silver;
}
.grid table {
    border-bottom:1px solid silver;
}
.content .title * {
    float:left;
}
.content .title:after {
    clear:both;
    display:block;
    content :''
}
.content.deleted .deleted {
    transform: rotate(-20deg);
    height: 10px;
    width:10px;
    white-space: nowrap;
    position:relative;
}
.content.deleted .deleted code {
    top:50px;
    position:absolute;
    font-size:20px;
    font-weight: bold;
}

#accordionSidebar {
    /*overflow: auto;
    overflow-x: hidden;*/
    max-height: 100vh;
    width: 5.5rem;
}

.sidebar .nav-item.active .nav-link  {
    width: 100%;
}

@media (min-width: 768px) {
.sidebar.toggled .nav-item .collapse {
    position: fixed;
    top: 90px;
}
}

#menuSidebar .collapse.show {
    z-index: 10000;
}